# NAME

git-annex unannex - undo accidental add command

# SYNOPSIS

git annex unannex `[path ...]`

# DESCRIPTION

Use this to undo an accidental `git annex add` command. It puts the
file back how it was before the add.

Note that for safety, the content of the file remains in the annex,
until you use `git annex unused` and `git annex dropunused`.

This is not the command you should use if you intentionally annexed a
file and don't want its contents any more. In that case you should use
`git annex drop` instead, and you can also `git rm` the file.

# OPTIONS

* `--fast`

  Normally this does a slow copy of the file. In `--fast` mode, it
  instead makes a hard link from the file to the content in the annex.
  But use --fast mode with caution, because editing the file will
  change the content in the annex.

* file matching options

  The [[git-annex-matching-options]](1)
  can be used to specify files to unannex.

# SEE ALSO

[[git-annex]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
